#!/usr/bin/env python3

import unittest
import amulet
import re


class TestDeploy(unittest.TestCase):
    """
    Deployment test for the IBM PLATFORM RTM charm.
    This charm install Mariadb RTM and then add relation between them.
    """
    def setUp(self):
        self.d = amulet.Deployment(series='trusty')
        self.d.add('mariadb')
        self.d.configure('mariadb', {'series': '5.5'})
        self.d.add('cs:~ibmcharmers/trusty/ibm-platform-rtm')
        self.d.relate('ibm-platform-rtm', 'mariadb')
        self.d.setup(timeout=900)
        self.d.sentry.wait(timeout=1800)


def test_deploy_with_placeholder_resource(self):
        # The status message when using placeholder resources will include the
        # string "ibm_platform_rtm_installer resource".
        sentry_re = re.compile('ibm_platform_rtm_installer resource')
        self.d.sentry.wait_for_messages({"ibm-platform-rtm": sentry_re})

if __name__ == '__main__':
    unittest.main()
